variable "tags" {
  description = "Tags to add to the resource (in addition to global standard tags)"
  type        = map
  default     = { }
}
variable "standard_tags" { type = map }
variable "environment" { type = string }
variable "aws_partition" { type = string }
variable "aws_partition_alias" { type = string }
variable "aws_account_id" { type = string }
variable "name" { type = string }
variable "service_role" { type = string }
variable "artifact_s3_bucket" { type = string }
variable "codebuild_image" {type = string }

variable "kms_key" {
    type = string
    default = ""
}

variable "badge_enabled" {
    type = string
    default = "false"
}

variable "webhook_branch_filter" {
    type = string
    default = "^(master|develop)$"
}